# tarback

Create a tar archive from remote resources.

This is more or less equivalent to `ssh host tar files | xz | split
output-file` and its reverse.

Two plugins are available:
- `ssh` handles all the ssh command and filename escaping necessary
- `docker` instead of backing up a remote volume, back up a docker volume

## usage

`tarback -p ssh,docker -s 'ssh $user@$host' create "$remote_volume_name" "$local_tar_archive"`

Create a split tar archive of the remote volume, with the extensions `part{a-z,a-z}`.

`tarback -p ssh,docker -s 'ssh $user@$host' restore "$local_tar_archive" "$remote_volume_name"`

Restore the backup to the remote docker volume.
