#!/bin/sh

_tarback_plugin_ssh_transform_ssh_command() {
    command_name="$(echo "$TARBACK_REMOTE" | awk '{print $1}')"
    if echo "$command_name" | grep -q 'ssh'; then
        echo "'$1'"
    else
        echo "$1"
    fi
}

_tarback_plugin_ssh_transform_ssh_argument() {
    command_name="$(echo "$TARBACK_REMOTE" | awk '{print $1}')"
    if echo "$command_name" | grep -q 'ssh'; then
        echo "'$(printf '%s' "$1" | sed "s/'/'\\\\''/g")'"
    else
        echo "$1"
    fi
}

short_options='p:s:'
while getopts "$short_options" arg; do
    case "$arg" in
        s)
            TARBACK_REMOTE="$OPTARG"
            shift 2
            ;;
        *)
            echo "unknown option $1" >&2
            #exit 1
            ;;
    esac
done

TARBACK_TRANSFORM_REMOTE_COMMAND=_tarback_plugin_ssh_transform_ssh_command
TARBACK_TRANSFORM_REMOTE_ARGUMENT_COMMAND=_tarback_plugin_ssh_transform_ssh_argument

